Projects
Retrieve a project
Retrieves the details of an existing project by its unique project ID.
GET
Core - Retrieve project
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Retrieves the details of an existing project by its unique project ID.
curl --request GET \
--url 'https://api.orq.ai/v2/projects/proj_01HZXW2K7Y8Q9M0N1P2R3S4T5V' \
--header 'Authorization: Bearer $ORQ_API_KEY'
import { Orq } from '@orq-ai/node';
const client = new Orq({
apiKey: process.env.ORQ_API_KEY,
});
const result = await client.projects.get({
projectId: 'proj_01HZXW2K7Y8Q9M0N1P2R3S4T5V',
});
console.log(result.project.name);
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
result = client.projects.get(
project_id="proj_01HZXW2K7Y8Q9M0N1P2R3S4T5V",
)
print(result.project.name)
{
"project": {
"project_id": "<string>",
"name": "<string>",
"key": "<string>",
"is_archived": true,
"is_default": true,
"teams": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"description": "<string>"
}
}Was this page helpful?
curl --request GET \
--url 'https://api.orq.ai/v2/projects/proj_01HZXW2K7Y8Q9M0N1P2R3S4T5V' \
--header 'Authorization: Bearer $ORQ_API_KEY'
import { Orq } from '@orq-ai/node';
const client = new Orq({
apiKey: process.env.ORQ_API_KEY,
});
const result = await client.projects.get({
projectId: 'proj_01HZXW2K7Y8Q9M0N1P2R3S4T5V',
});
console.log(result.project.name);
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
result = client.projects.get(
project_id="proj_01HZXW2K7Y8Q9M0N1P2R3S4T5V",
)
print(result.project.name)
{
"project": {
"project_id": "<string>",
"name": "<string>",
"key": "<string>",
"is_archived": true,
"is_default": true,
"teams": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"description": "<string>"
}
}